// MotionController_GALIL.h: interface for the CMotionController_GALIL class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "MotionControllerBase.h"

class CMotionController_GALIL : public CMotionControllerBase
{
public:
    CMotionController_GALIL(int index);
    virtual ~CMotionController_GALIL();

    BOOL Init(int& nNoOfMtr) override;
    void Close() override;

    //  get Motion status of motor
    int GetMotionStatus(const CMtrProfile& mtrProfile) override;

    void SetGalilMotionInt(int nAxisNo);

    int m_nCurrentGalilCard;
    int m_nCurrentIndex;

private:
    CWinThread* m_pGalilIntThread[4];
};
